Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class StampContent

    java.lang.Object
      com.lowagie.text.pdf.PdfContentByte
          com.lowagie.text.pdf.StampContent

    public class StampContent

extends PdfContentByte

Nested Class Summary

Nested classes/interfaces inherited from class com.lowagie.text.pdf.PdfContentByte
`PdfContentByte.GraphicState`

Field Summary
`(package private) PageResources` | `pageResources`
`(package private) PdfStamperImp.PageStamp` | `ps`

Fields inherited from class com.lowagie.text.pdf.PdfContentByte
`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT, content, layerDepth, LINE_CAP_BUTT, LINE_CAP_PROJECTING_SQUARE, LINE_CAP_ROUND, LINE_JOIN_BEVEL, LINE_JOIN_MITER, LINE_JOIN_ROUND, pdf, separator, state, stateList, TEXT_RENDER_MODE_CLIP, TEXT_RENDER_MODE_FILL, TEXT_RENDER_MODE_FILL_CLIP, TEXT_RENDER_MODE_FILL_STROKE, TEXT_RENDER_MODE_FILL_STROKE_CLIP, TEXT_RENDER_MODE_INVISIBLE, TEXT_RENDER_MODE_STROKE, TEXT_RENDER_MODE_STROKE_CLIP, writer`

Constructor Summary
`StampContent(PdfStamperImp stamper, PdfStamperImp.PageStamp ps)` Creates a new instance of StampContent

Method Summary
`(package private) void` | `addAnnotation(PdfAnnotation annot)`
`PdfContentByte` | `getDuplicate()` Gets a duplicate of this `PdfContentByte`.
`(package private) PageResources` | `getPageResources()`
`void` | `setAction(PdfAction action, float llx, float lly, float urx, float ury)` Implements an action in an area.

Methods inherited from class com.lowagie.text.pdf.PdfContentByte
`add, addImage, addImage, addImage, addImage, addOutline, addPSXObject, addTemplate, addTemplate, addTemplateReference, arc, beginLayer, beginMarkedContentSequence, beginMarkedContentSequence, beginMarkedContentSequence, beginText, bezierArc, checkNoPattern, checkWriter, circle, clip, closePath, closePathEoFillStroke, closePathFillStroke, closePathStroke, concatCTM, createAppearance, createAppearance, createGraphics, createGraphics, createGraphics, createGraphics, createGraphicsShapes, createGraphicsShapes, createPattern, createPattern, createPattern, createPattern, createPrinterGraphics, createPrinterGraphics, createPrinterGraphics, createPrinterGraphics, createPrinterGraphicsShapes, createPrinterGraphicsShapes, createTemplate, createTemplate, curveFromTo, curveTo, curveTo, drawButton, drawRadioField, drawTextField, ellipse, endLayer, endMarkedContentSequence, endText, eoClip, eoFill, eoFillStroke, escapeString, escapeString, fill, fillStroke, getCharacterSpacing, getEffectiveStringWidth, getHorizontalScaling, getInternalBuffer, getKernArray, getLeading, getPdfDocument, getPdfWriter, getRootOutline, getWordSpacing, getXTLM, getYTLM, lineTo, localDestination, localGoto, moveText, moveTextWithLeading, moveTo, newlineShowText, newlineShowText, newlineText, newPath, outputColorNumbers, paintShading, paintShading, rectangle, rectangle, remoteGoto, remoteGoto, reset, reset, resetCMYKColorFill, resetCMYKColorStroke, resetGrayFill, resetGrayStroke, resetRGBColorFill, resetRGBColorStroke, restoreState, roundRectangle, sanityCheck, saveState, setCharacterSpacing, setCMYKColorFill, setCMYKColorFillF, setCMYKColorStroke, setCMYKColorStrokeF, setColorFill, setColorFill, setColorStroke, setColorStroke, setDefaultColorspace, setFlatness, setFontAndSize, setGrayFill, setGrayStroke, setGState, setHorizontalScaling, setLeading, setLineCap, setLineDash, setLineDash, setLineDash, setLineDash, setLineJoin, setLineWidth, setLiteral, setLiteral, setLiteral, setMiterLimit, setPatternFill, setPatternFill, setPatternFill, setPatternStroke, setPatternStroke, setPatternStroke, setRGBColorFill, setRGBColorFillF, setRGBColorStroke, setRGBColorStrokeF, setShadingFill, setShadingStroke, setTextMatrix, setTextMatrix, setTextRenderingMode, setTextRise, setWordSpacing, showText, showText, showTextAligned, showTextAlignedKerned, showTextKerned, size, stroke, toPdf, toString, transform, variableRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ps

    PdfStamperImp.PageStamp ps

### pageResources

    PageResources pageResources

Constructor Detail

### StampContent

    StampContent(PdfStamperImp stamper,
                 PdfStamperImp.PageStamp ps)

  Creates a new instance of StampContent

Method Detail

### setAction

    public void setAction(PdfAction action,
                          float llx,
                          float lly,
                          float urx,
                          float ury)

  Description copied from class: `PdfContentByte`
  Implements an action in an area.

  Overrides:
    `setAction` in class `PdfContentByte`
  Parameters:
    `action` - the `PdfAction`
    `llx` - the lower left x corner of the activation area
    `lly` - the lower left y corner of the activation area
    `urx` - the upper right x corner of the activation area
    `ury` - the upper right y corner of the activation area

### getDuplicate

    public PdfContentByte getDuplicate()

  Gets a duplicate of this `PdfContentByte`. All the members are copied by reference but the buffer stays different.

  Overrides:
    `getDuplicate` in class `PdfContentByte`
  Returns:
    a copy of this `PdfContentByte`

### getPageResources

    PageResources getPageResources()

  Overrides:
    `getPageResources` in class `PdfContentByte`

### addAnnotation

    void addAnnotation(PdfAnnotation annot)

  Overrides:
    `addAnnotation` in class `PdfContentByte`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD